Name:           python-qpsolvers
Version:        4.8.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Quadratic programming solvers in Python with a unified API.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/qpsolvers/qpsolvers
Source:         %{pypi_source qpsolvers}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qpsolvers' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qpsolvers
Summary:        %{summary}

%description -n python3-qpsolvers %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-qpsolvers clarabel,cvxopt,daqp,ecos,gurobi,highs,jaxopt,kvxopt,mosek,open_source_solvers,osqp,piqp,proxqp,qpalm,qpax,quadprog,scs,sip,wheels_only


%prep
%autosetup -p1 -n qpsolvers-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x clarabel,cvxopt,daqp,ecos,gurobi,highs,jaxopt,kvxopt,mosek,open_source_solvers,osqp,piqp,proxqp,qpalm,qpax,quadprog,scs,sip,wheels_only


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-qpsolvers -f %{pyproject_files}


%changelog
%autochangelog